<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.conn.testMaxConnPerHost');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestPoolingConnManagerNoServer.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestPoolingConnManagerNoServer_testMaxConnPerHost_3rm.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/conn/TestPoolingConnManagerNoServer.html?line=151#src-151" >testMaxConnPerHost</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:23:52
    </td>
    <td class="graphPercent alignTop">
        0.062    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testMaxConnPerHost</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.HttpConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/HttpConnPool.html?id=4882#HttpConnPool"             title="HttpConnPool" name="sl-42">org.apache.http.impl.conn.HttpConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.HttpConnPool.InternalConnFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/HttpConnPool.html?id=4882#HttpConnPool.InternalConnFactory"             title="HttpConnPool.InternalConnFactory" name="sl-65">org.apache.http.impl.conn.HttpConnPool.InternalConnFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.SchemeRegistryFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/SchemeRegistryFactory.html?id=4882#SchemeRegistryFactory"             title="SchemeRegistryFactory" name="sl-39">org.apache.http.impl.conn.SchemeRegistryFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.ConnectTimeoutException</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/ConnectTimeoutException.html?id=4882#ConnectTimeoutException"             title="ConnectTimeoutException" name="sl-42">org.apache.http.conn.ConnectTimeoutException</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.ConnectionPoolTimeoutException</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/ConnectionPoolTimeoutException.html?id=4882#ConnectionPoolTimeoutException"             title="ConnectionPoolTimeoutException" name="sl-40">org.apache.http.conn.ConnectionPoolTimeoutException</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.HttpPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/HttpPoolEntry.html?id=4882#HttpPoolEntry"             title="HttpPoolEntry" name="sl-42">org.apache.http.impl.conn.HttpPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32</span>
            32%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32% Covered" class="barPositive contribBarPositive" style="width: 32%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.PoolingClientConnectionManager</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html?id=4882#PoolingClientConnectionManager"             title="PoolingClientConnectionManager" name="sl-71">org.apache.http.impl.conn.PoolingClientConnectionManager</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3068182</span>
            30.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.7% Covered" class="barPositive contribBarPositive" style="width: 30.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.HttpRoute</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/routing/HttpRoute.html?id=4882#HttpRoute"             title="HttpRoute" name="sl-45">org.apache.http.conn.routing.HttpRoute</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21710527</span>
            21.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.7% Covered" class="barPositive contribBarPositive" style="width: 21.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.Scheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/Scheme.html?id=4882#Scheme"             title="Scheme" name="sl-50">org.apache.http.conn.scheme.Scheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.20408164</span>
            20.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="79.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="20.4% Covered" class="barPositive contribBarPositive" style="width: 20.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.SchemeRegistry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html?id=4882#SchemeRegistry"             title="SchemeRegistry" name="sl-45">org.apache.http.conn.scheme.SchemeRegistry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.17391305</span>
            17.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="82.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="17.4% Covered" class="barPositive contribBarPositive" style="width: 17.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.ssl.SSLSocketFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/ssl/SSLSocketFactory.html?id=4882#SSLSocketFactory"             title="SSLSocketFactory" name="sl-150">org.apache.http.conn.ssl.SSLSocketFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.096345514</span>
            9.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="9.6% Covered" class="barPositive contribBarPositive" style="width: 9.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.PlainSocketFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/PlainSocketFactory.html?id=4882#PlainSocketFactory"             title="PlainSocketFactory" name="sl-58">org.apache.http.conn.scheme.PlainSocketFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.07575758</span>
            7.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="92.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="7.6% Covered" class="barPositive contribBarPositive" style="width: 7.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultClientConnection.html?id=4882#DefaultClientConnection"             title="DefaultClientConnection" name="sl-72">org.apache.http.impl.conn.DefaultClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.06557377</span>
            6.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="93.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="6.6% Covered" class="barPositive contribBarPositive" style="width: 6.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultClientConnectionOperator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html?id=4882#DefaultClientConnectionOperator"             title="DefaultClientConnectionOperator" name="sl-88">org.apache.http.impl.conn.DefaultClientConnectionOperator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.05882353</span>
            5.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.9% Covered" class="barPositive contribBarPositive" style="width: 5.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.RouteTracker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/routing/RouteTracker.html?id=4882#RouteTracker"             title="RouteTracker" name="sl-43">org.apache.http.conn.routing.RouteTracker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.047368422</span>
            4.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.7% Covered" class="barPositive contribBarPositive" style="width: 4.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.ManagedClientConnectionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/ManagedClientConnectionImpl.html?id=4882#ManagedClientConnectionImpl"             title="ManagedClientConnectionImpl" name="sl-55">org.apache.http.impl.conn.ManagedClientConnectionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.040498443</span>
            4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="96% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4% Covered" class="barPositive contribBarPositive" style="width: 4%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
